## org.apache.solr.client.solrj.response
Class RangeFacet<B,G>

    java.lang.Object
      org.apache.solr.client.solrj.response.RangeFacet<B,G>

Direct Known Subclasses:
  RangeFacet.Date, RangeFacet.Numeric

    public abstract class RangeFacet<B,G>

extends Object

Represents a range facet result

Nested Class Summary
`static class` `RangeFacet.Count`
`static class` `RangeFacet.Date`
`static class` `RangeFacet.Numeric`

Constructor Summary
`protected` `RangeFacet(String name, B start, B end, G gap, Number before, Number after)`

Method Summary
`void` `addCount(String value, int count)`
`Number` `getAfter()`
`Number` `getBefore()`
`List<RangeFacet.Count>` `getCounts()`
`B` `getEnd()`
`G` `getGap()`
`String` `getName()`
`B` `getStart()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeFacet

    protected RangeFacet(String name,
                         B start,
                         B end,
                         G gap,
                         Number before,
                         Number after)

Method Detail

### addCount

    public void addCount(String value,
                         int count)

### getName

    public String getName()

### getCounts

    public List<RangeFacet.Count> getCounts()

### getStart

    public B getStart()

### getEnd

    public B getEnd()

### getGap

    public G getGap()

### getBefore

    public Number getBefore()

### getAfter

    public Number getAfter()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.